stages:
    - build_stage
    - deploy_stage

#test:

build:
    stage: build_stage
    before_script:
        - docker login -u mirkovertus -p warlord1
    script:
        - docker build -t service2 -f service2/Dockerfile .
        - docker build -t service1 -f service1/Dockerfile .
        - docker tag service2 mirkovertus/service2:1.0
        - docker push mirkovertus/service2:1.0
        - docker tag service1 mirkovertus/service1:1.0
        - docker push mirkovertus/service1:1.0
    tags:
        - localrunner

deploy:
    stage: deploy_stage
    before_script:
        - if [ "$(docker ps -q -f name=rabbitmqrunner)" ]; then
        - docker rm -f rabbitmqrunner
        - fi
        - if [ "$(docker ps -q -f name=service2runner)" ]; then
        - docker rm -f service2runner
        - fi
        - if [ "$(docker ps -q -f name=service1runner)" ]; then
        - docker rm -f service1runner
        - fi
    script:
        - docker run -d --rm --name rabbitmqrunner --hostname rabbitmq -p 5672:5672 -p 15672:15672 --network rabbitnet rabbitmq:3.9-management
        - docker run -d --rm --name service2runner -p 8080:8080 --network rabbitnet service2
        - curl --data "https://www.google.com" http://localhost:8080
        - docker run -d --rm --name service1runner -v $(pwd):/data --network rabbitnet service1
    tags:
        - localrunner
